Prevent State Change in Angular Switch component

14 Dec 20241 minute to read

The beforeChange event is triggered before the switch’s state is altered. This event provides an opportunity to intercept and potentially cancel the change action before it is applied. It allows for implementing conditional logic or validating the change prior to it being rendered on the UI.

import { Component } from '@angular/core';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';
import { BeforeChangeEventArgs } from '@syncfusion/ej2-buttons';

@Component({
  selector: 'app-root',
  template: `
    <div class="e-section-control">
      <!-- Render Switch with checked state and beforeChange event -->
      <ejs-switch [checked]="true" (beforeChange)="beforeChange($event)"></ejs-switch>
    </div>
  `,
  standalone: true,
  imports: [SwitchModule],
})
export class AppComponent {
  beforeChange(args: BeforeChangeEventArgs): void {
    // Set cancel to true to prevent the switch state change
    args.cancel = true;
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Prevent State Change in React Switch component

13 Dec 20242 minutes to read

The beforeChange event is triggered before the switch’s state is altered. This event provides an opportunity to intercept and potentially cancel the change action before it is applied. It allows for implementing conditional logic or validating the change prior to it being rendered on the UI.

import { enableRipple } from '@syncfusion/ej2-base';
import { SwitchComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// This function is called before the Switch state changes
function beforeChange(args) {
    // Set cancel to true to prevent the switch state change
    args.cancel = true;
}

function App() {
    return (
        <SwitchComponent
            checked={true}
            beforeChange={beforeChange}
        />
    );
}

export default App;

ReactDom.render(<App />, document.getElementById('switch'));
import { enableRipple } from '@syncfusion/ej2-base';
import { SwitchComponent, BeforeChangeEventArgs } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// Enable ripple effect for Syncfusion components
enableRipple(true);

// This function is called before the Switch state changes
function beforeChange(args: BeforeChangeEventArgs) {
  // Set cancel to true to prevent the switch state change
  args.cancel = true;
}

// Render the Switch component with checked state
function App() {
  return (
    <SwitchComponent
      checked={true}
      beforeChange={beforeChange}
    />
  );
}

export default App;
ReactDom.render(<App />, document.getElementById('switch'));

Prevent State Change in Vue Switch component

14 Dec 20242 minutes to read

The beforeChange event is triggered before the switch’s state is altered. This event provides an opportunity to intercept and potentially cancel the change action before it is applied. It allows for implementing conditional logic or validating the change prior to it being rendered on the UI.

<template>
    <div>
        <!-- Use v-bind:checked or :checked for dynamic binding, and note that true should be lowercase -->
        <ejs-switch id="switch1" :checked="true" @beforeChange="beforeChange"></ejs-switch>
    </div>
</template>

<script setup>
import { SwitchComponent as EjsSwitch } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

function beforeChange(args) {
    // Set cancel to true to prevent the switch state change
    args.cancel = true;
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/fabric.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/fabric.css";
</style>
<template>
    <div>
        <ejs-switch id="switch1" :checked="true" :beforeChange="beforeChange"></ejs-switch>
    </div>
</template>

<script>
import { SwitchComponent } from "@syncfusion/ej2-vue-buttons";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
    name: "App",
    components: {
        "ejs-switch": SwitchComponent
    },
    methods: {
        beforeChange(args) {
            // Set cancel to true to prevent the switch state change
            args.cancel = true;
        }
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/fabric.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/fabric.css";
</style>